module Guitar
  module Common
    def make_change(&b)
      if @in_change
        b.call
      else
        @in_change = true
        record_change(&b)
        @in_change = false
      end

      self
    end

    private

    # index and range all start from 1, for they are fret or string
    # in?(1, 1); in?(2, 1..3); in?(3, [3, 4, 5]); in?(1, nil)
    def in?(index, range)
      if range
        range = [range] unless range.respond_to?(:include?)
        range.include?(index)
      else
        true
      end
    end

    def colorize(str, color)
      if color.is_a?(Array)
        color.inject(str) { |s, c| s.send(c) }
      elsif color
        str.send(color)
      else
        str
      end
    end
  end
end
