require 'colorize'

module Guitar
  module Graphic
    STRINGS_AND_BASELINE = '
╓─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────╥─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────┬─────╖
╟─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╫─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╢
╟─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╫─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╢
╟─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╫─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╢
╟─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╫─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────┼─────╢
╙─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────╨─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────┴─────╜
               𝇈           𝇈           𝇈           𝇈                𝇈 𝇈                𝇈           𝇈           𝇈           𝇈                𝇈 𝇈
    '.split("\n")[1..-2].freeze

    # Text size in one fret
    FRET_WIDTH = 6

    def self.get_frets(string = 2, size = DEFAULT_SIZE)
      STRINGS_AND_BASELINE[string - 1].scan(/.{#{FRET_WIDTH}}/)[0...size]
    end

    def self.get_baseline(size)
      STRINGS_AND_BASELINE.last[0...(FRET_WIDTH * size)]
    end
  end
end
